## org.cybergarage.upnp.ssdp
Class SSDPSearchRequest

    java.lang.Object
      org.cybergarage.http.HTTPPacket
          org.cybergarage.http.HTTPRequest
              org.cybergarage.upnp.ssdp.SSDPRequest
                  org.cybergarage.upnp.ssdp.SSDPSearchRequest

    public class SSDPSearchRequest

extends SSDPRequest

Constructor Summary
`SSDPSearchRequest()`
`SSDPSearchRequest(String serachTarget)`
`SSDPSearchRequest(String serachTarget, int mx)`

Method Summary
`void` `setLocalAddress(String bindAddr)`

Methods inherited from class org.cybergarage.upnp.ssdp.SSDPRequest
`getLeaseTime, getLocation, getNT, getNTS, getUSN, setLeaseTime, setLocation, setNT, setNTS, setUSN`

Methods inherited from class org.cybergarage.http.HTTPRequest

`getFirstLineString, getHeader, getHTTPVersion, getLocalAddress, getLocalPort, getMethod, getParameterList, getParameterValue, getRequestHost, getRequestPort, getSocket, getURI, isGetRequest, isHeadRequest, isKeepAlive, isMethod, isNotifyRequest, isPostRequest, isSOAPAction, isSubscribeRequest, isUnsubscribeRequest, parseRequestLine, post, post, post, print, read, returnBadRequest, returnOK, returnResponse, set, setMethod, setRequestHost, setRequestPort, setSocket, setURI, setURI, toString`

Methods inherited from class org.cybergarage.http.HTTPPacket

`addHeader, addHeader, clearHeaders, getCacheControl, getConnection, getContent, getContentInputStream, getContentLength, getContentRange, getContentRangeFirstPosition, getContentRangeInstanceLength, getContentRangeLastPosition, getContentString, getContentType, getDate, getFirstLine, getFirstLineToken, getHeader, getHeader, getHeaderString, getHeaderValue, getHost, getIntegerHeaderValue, getLongHeaderValue, getNHeaders, getServer, getStringHeaderValue, getStringHeaderValue, getTransferEncoding, getVersion, hasConnection, hasContent, hasContentInputStream, hasContentRange, hasFirstLine, hasHeader, hasTransferEncoding, init, isChunked, isCloseConnection, isKeepAliveConnection, read, set, set, set, set, setCacheControl, setCacheControl, setCacheControl, setConnection, setContent, setContent, setContent, setContent, setContentInputStream, setContentLength, setContentRange, setContentType, setDate, setHeader, setHeader, setHeader, setHeader, setHost, setIntegerHeader, setLongHeader, setServer, setStringHeader, setStringHeader, setTransferEncoding, setVersion`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SSDPSearchRequest

    public SSDPSearchRequest(String serachTarget,
                             int mx)

### SSDPSearchRequest

    public SSDPSearchRequest(String serachTarget)

### SSDPSearchRequest

    public SSDPSearchRequest()

Method Detail

### setLocalAddress

    public void setLocalAddress(String bindAddr)